/* === INDYJAVA Transition === */

/* Standard Transition 4: scroll left */

import java.awt.*;
import java.awt.image.*;

class transition_4 extends indy_transition
{
    public final void draw(
                      Graphics g,       // Graphic context
                      ImageObserver ob, // Parent component
                      int w, int h,     // Screen size
                      Image i,          // Image of current room, about to be displayed
                      Image old_i,      // Last image available of previous room (if any)
                      float p           // Transition's percentage of completion (0 to 1)
                    )
    {
        g.copyArea(0,0,w,h,(int)-((1-p)*w),0);
        if(old_i!=null) g.drawImage(old_i, (int)(p*w),0, ob);
    }
}
