/* === INDYJAVA Transition === */

/* Standard Transition 7 */

import java.awt.*;
import java.awt.image.*;

class transition_7 extends indy_transition
{
    public final void draw(
                      Graphics g,       // Graphic context
                      ImageObserver ob, // Parent component
                      int w, int h,     // Screen size
                      Image i,          // Image of current room, about to be displayed
                      Image old_i,      // Last image available of previous room (if any)
                      float p           // Transition's percentage of completion (0 to 1)
                    )
    {
        g.copyArea(0,0,w,h,0,(int)-((1-p)*h));
        if(old_i!=null) g.drawImage(old_i, 0,(int)(p*h), ob);
    }
}
